﻿@{
    ViewBag.Title = "Chat";
    Layout = "~/Views/Shared/_LayoutChat.cshtml";
}
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="~/Scripts/jquery.nicescroll.js"></script>
<link href="~/Content/Chat.css" rel="stylesheet" />
<script src="~/Scripts/Chat.js"></script>
<span id="chatterId" style="display:none"></span>
<style>
    .mnu-icon {
        width: 35px;
        height: 5px;
        background-color: black;
        margin: 6px 0;
    }
    .hid{

    }
    .base_receive > .a:after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 0;
        height: 0;
        border: 5px solid #CCFFCC;
        border-left-color: rgba(0, 0, 0, 0);
        border-bottom-color: rgba(0, 0, 0, 0);
    }
    .avatar {
        width: 70px;
        height: 70px;
    }
    .avatar1 {
        width: 35px;
        height: 35px;
    }
    .Over {
        height: 40vh;
        list-style-type: none;
        overflow: hidden;
    }
    .receiver; {
        color: green;
        text-align: right;
    }
    .change .bar1 {
        -webkit-transform: rotate(-45deg) translate(-9px, 6px);
        transform: rotate(-45deg) translate(-9px, 6px);
    }
    .change .bar2 {
        opacity: 0;
    }
    .change .bar3 {
        -webkit-transform: rotate(45deg) translate(-8px, -8px);
        transform: rotate(45deg) translate(-8px, -8px);
    }
    .bar1, .bar2, .bar3 {
        width: 35px;
        height: 5px;
        background-color: #333;
        margin: 6px 0;
        transition: 0.4s;
    }
    @@media (min-height: 260px) {
        .Over {
            height: 50vh;
            list-style-type: none;
            overflow: hidden;
        }
    }
    @@media (min-height: 350px) {
        .Over {
            height: 60vh;
            list-style-type: none;
            overflow: hidden;
        }
    }
    @@media (min-height: 450px) {
        .Over {
            height: 70vh;
            list-style-type: none;
            overflow: hidden;
        }
    }
   @@media (min-height: 550px) {
        .Over {
            height: 75vh;
            list-style-type: none;
            overflow: hidden;
        }
    }
</style>
<script>
    var pic = "~/Content/ProfilePic";
    $(document).ready(function () {
        $('#UserPic').attr("src", $('#UserPic').attr("src").replace("pic","@Session["EmailId"]"));
    });
    function myFunction(x) {
        x.classList.toggle("change");
        $('#userList').animate({ 'width': 'toggle' });
    }
</script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" />
@*<input id="current" />*@
<div id="userList" class="col-sm-3 col-md-2 col-xs-8 " style="padding-top: 10px; padding-right: 0px; padding-left:10px; background-color: gray; height: 100vh;">
    <div class="avatar pull-left">
        <img id="UserPic" src="~/Content/ProfilePic/pic.png" class=" img-responsive img-circle">
    </div><br />&nbsp;&nbsp;<span class="h4" id="d">Hi @Session["EmailId"]</span>
    <br /><hr style="border-top: 1px solid silver;" />
    <a href="@Url.Action("LogOut", "Home")" class="h4" style="text-decoration:none;color:white"><i class="fa fa-sign-out" aria-hidden="true"></i>LogOut</a>
    <h4>User list</h4>
    <div class="Over users scroll" style="padding-left:10px;"></div>
</div>
<div id="ChatList" class="col-sm-9  col-md-10 secChat" style="background-color: lightgray; height: 100vh; padding-left: 0px; border:2px solid">
    <span class="msgFor h3" style="padding-left:50px;"></span>
    <div class="container pull-right mnu" onclick="myFunction(this)" style="display:none;cursor:pointer">
        <div class="bar1"></div>
        <div class="bar2"></div>
        <div class="bar3"></div>
    </div>
    <hr style="" />
    <ul class="list-group Over scroll" style="margin-bottom:10px;"></ul>

    <textarea id="msg" style="width: 80%; height:50px; border: 1px solid gray; resize: none;margin-left:50px;"></textarea>
    <button id="Send" class="btn alert-success" style="height: 50px; width:9%">Send</button>
</div>
<script>

    //var ServerUrl = '/Home/';
    var ServerUrl = '/Chat.Vikas/Home/';
    $(document).ready(function () {
        @*$('#msg').keypress(function (e) {
            if (e.keyCode == 13)
            {
                e.preventDefault();
                var a = $('#current').val();
                $.post(ServerUrl + 'SaveChats', { user: '@Session["EmailId"]', msg: $('#msg').val(), msgFor: $('#chatterId').text() });
                $('#msg').val('');
            }
        });*@
        var scroll = $(".scroll").niceScroll({ touchbehavior: false, cursorcolor: "green", cursoropacitymax: 0.6, cursorwidth: 15 });
        var w = $(window).height();
        $('#chatterId').text('General');
        $('#ChatList .msgFor').text('General');
        $('#Send').click(function (e) {
            e.preventDefault();
            var a = $('#current').val();
            $.post(ServerUrl + 'SaveChats', { user: '@Session["EmailId"]', msg: $('#msg').val(), msgFor: $('#chatterId').text() });
            $('#msg').val('');
        });
        window.setInterval(function () {
            //$('#ChatList').html($('#ChatList').html() + 1 );
            var a = $('#current').val();
            $.get(ServerUrl + 'getChats', { user: '@Session["EmailId"]', msgFor: $('#chatterId').text() })
                .done(function (data) {
                    $('#userList .users').empty();
                    $('#ChatList ul').empty();
                    $.each(data[0], function (index) {
                        if (this["EmailId"] == 'General')
                        {
                            data[0].splice(0, 0, this);
                            data[0].splice(index + 1 ,1);
                        }
                    });
                    $.each(data[0], function (i) {
                        if ('@Session["EmailId"]'.toLowerCase() == this['EmailId'].toLowerCase()) {
                            return true;
                        }
                        //var Users = '<div class="chatWindow form-inline " style="cursor:pointer;border:1px solid;"><div class="avatar"><img src="/Chat.Vikas/Content/ProfilePic/pic.png" class="img-responsive img-circle"></div><span>' + this['name'] + '</span><span style="display:none">' + this['Id'] + '</span></div>';
                        var Users = '<div class="chatWindow form-inline " style="cursor:pointer"><div class="avatar1 pull-left"><img src="/Chat.Vikas/Content/ProfilePic/pic.png" class="img-responsive img-circle"></div><span> &nbsp;&nbsp;' + this['Name'] + '</span><span style="display:none">' + this['EmailId'] + '</span></div><br>';
                        $('#userList .users').append(Users);
                        $('#userList .users > div').click(function () {
                            //if($('.mnu').css('display')!='none')
                            //$('#userList').animate({ 'width': 'slide' });
                            $('#chatterId').text($(this).children('span').eq(1).text());
                            $('#ChatList .msgFor').text($(this).children('span').eq(0).text());
                        });

                    });
                    $.each(data[1], function (i) {
                        var a = $('#current').val();
                        var tstmsg = this['Message'];
                        tstmsg = this['Message'].replace('\n', '<br>');
                        var ChatList = '<li class="base_receive " style="border:1px solid lightgray; margin-bottom:80px;border:2px solid"><div class="avatar pull-left"><img src="/Chat.Vikas/Content/ProfilePic/pic.png" class=" img-responsive "></div><div class="col-xs-10 col-md-10" ><div class="messages msg_receive " style="background:#66FFB2"><p><b>' + this['User'] + ':</b>  ' + this['Message'].replace(/\r?\n/g, '<br/>') + '</p><time >' + this['massegeDate'] + '</time></div></div></li>';
                        if (this['User'] == '@Session["EmailId"]')
                            //var ChatList = '<li class="base_sent " style="border:1px solid lightgray; margin-bottom:80px;width:100%"><div class="col-xs-10 col-md-10"><div class="messages msg_sent"><p>' + this['User'] + ':' + this['Message'] + '</p><time >Timothy • 51 min</time></div></div></li>';
                            var ChatList = '<li class="base_receive " style="border:1px solid lightgray; margin-bottom:80px;border:2px solid"><div class="a avatar pull-left"><img src="/Chat.Vikas/Content/ProfilePic/pic.png" class=" img-responsive "></div><div class="col-xs-10 col-md-10" ><div class="messages msg_receive" style="background:#CCFFCC"><p><b>' + this['User'] + ':</b>  ' + this['Message'].replace(/\r?\n/g, '<br/>') + '</p><time >' + this['massegeDate'] + '</time></div></div></li>';
                        $('#ChatList ul').append(ChatList);
                        $('#ChatList ul').scrollTop($('#ChatList ul')[0].scrollHeight);
                    });
                    $('.base_receive').height(500);
                    var a = $('.msg_receive').height();
                });
        }, 1500);
    });

    @*$(document).on('click', '.chatWindow', function (e) {
        var size = $(".chat-window:last-child").css("margin-left");
        size_total = parseInt(size) + 300;
        //alert(size_total);
        var w = '<div class="row chat-window col-xs-5 col-md-3" id="' + $(this).children('span').eq(0).text() + '" style="margin-left:10px;display:none;"></div>';
        $(".container").append(w);
        var id = $(this).children('span').eq(0).text();
        $('#' + $(this).children('span').eq(0).text()).html($("#chat_window_1").html()).css("margin-left", size_total).show();
        $('#' + $(this).children('span').eq(0).text()).find('#userId').text($(this).children('span').eq(0).text());


        window.setInterval(function () {
            //$('#ChatList').html($('#ChatList').html() + 1 );
            var a = $('#current').val();
            $.get(ServerUrl + 'getChats', { user: '@Session["EmailId"]', msgFor: id })
                .done(function (data) {
                    $('#' + id + ' .msg_container_base').empty();
                    $('#userList ul').empty();
                    $('#ChatList ul').empty();
                    $.each(data[0], function (i) {
                        if ('@Session["EmailId"]'.toLowerCase() == this['Id'].toLowerCase()) {
                            return true;
                        }
                        var Users = '<li class="chatWindow" style="cursor:pointer;"><span>' + this['name'] + '</span><span style="display:none">' + this['Id'] + '</span></li>';
                        $('#userList ul').append(Users);
                        $('#userList ul li').click(function () {
                            $('#chatterId').text($(this).children('span').eq(1).text());
                            $('#ChatList h3').text($(this).children('span').eq(0).text());
                        });

                    });
                    $.each(data[1], function (i) {
                        var a = $('#current').val();
                        var ChatList = '<div class="row msg_container base_sent"><div class="col-xs-10 col-md-10"><div class="messages msg_sent"><p>' + this['Message'] + '</p><time >' + this['massegeDate'] + '</time></div></div><div class="col-md-2 col-xs-2 avatar"><img src="/Chat.Vikas/Content/ProfilePic/pic.png" class=" img-responsive "></div></div>';
                        if (this['User'] == '@Session["EmailId"]')
                            var ChatList = '<div class="row msg_container base_receive"><div class="col-md-2 col-xs-2 avatar"><img src="/Chat.Vikas/Content/ProfilePic/pic.png" class=" img-responsive "></div><div class="col-xs-10 col-md-10"><div class="messages msg_receive"><p>' + this['Message'] + '</p><time >' + this['massegeDate'] + '</time></div></div></div>';
                       // var ChatList = '<div class="row msg_container ' + cls + '"><div class="col-xs-10 col-md-10"><div class="messages msg_sent"><p>' + this['Message'] + '</p><time >Timothy • 51 min</time></div></div><div class="col-md-2 col-xs-2 avatar"><img src="~/Content/ProfilePic/pic.png" class=" img-responsive "></div></div>';
                        $('#' + id + ' .msg_container_base').append(ChatList);
                    });
                });
        }, 1500);
    });*@

</script>




@* chat window*@
<div class="row chat-window col-xs-5 col-md-3" id="chat_window_1" style="margin-left:10px;display:none;">
    <div class="col-xs-12 col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading top-bar">
                <div class="col-md-8 col-xs-8">
                    <h3 class="panel-title"><span class="glyphicon glyphicon-comment"></span> <span id="userId"></span></h3>
                </div>
                <div class="col-md-4 col-xs-4" style="text-align: right;">
                    <a href="#"><span id="minim_chat_window" class="glyphicon glyphicon-minus icon_minim"></span></a>
                    <a href="#"><span class="glyphicon glyphicon-remove icon_close" data-id="chat_window_1"></span></a>
                </div>
            </div>
            <div class="panel-body msg_container_base">
                <div class="row msg_container base_sent">
                    <div class="col-xs-10 col-md-10">
                        <div class="messages msg_sent">
                            <p>
                                that mongodb thing looks good, huh?
                                tiny master db, and huge document store
                            </p>
                            <time>Timothy • 51 min</time>
                        </div>
                    </div>
                    <div class="col-md-2 col-xs-2 avatar">
                        <img src="~/Content/ProfilePic/pic.png" class=" img-responsive ">
                    </div>
                </div>
                <div class="row msg_container base_receive">
                    <div class="col-md-2 col-xs-2 avatar">
                        <img src="~/Content/ProfilePic/pic.png" class=" img-responsive ">
                    </div>
                    <div class="col-xs-10 col-md-10">
                        <div class="messages msg_receive">
                            <p>
                                that mongodb thing looks good, huh?
                                tiny master db, and huge document store
                            </p>
                            <time>Timothy • 51 min</time>
                        </div>
                    </div>
                </div>
                <div class="row msg_container base_sent">
                    <div class="col-md-10 col-xs-10 ">
                        <div class="messages msg_sent">
                            <p>
                                that mongodb thing looks good, huh?
                                tiny master db, and huge document store
                            </p>
                            <time>Timothy • 51 min</time>
                        </div>
                    </div>
                    <div class="col-md-2 col-xs-2 avatar">
                        <img src="~/Content/ProfilePic/pic.png" class=" img-responsive ">
                    </div>
                </div>
            </div>
            <div class="panel-footer">
                <div class="input-group">
                    <input id="btn-input" type="text" class="form-control input-sm chat_input" placeholder="Write your message here..." />
                    <span class="input-group-btn">
                        <button class="btn btn-primary btn-sm" id="btn-chat">Send</button>
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
